Subject: [manet] Document Shepherd Write-Up for draft-ietf-manet-ibs

From: Thomas Clausen <[email-masked]>
Date: Thu, 4 Sep 2014 16:14:36 +0200

Dear All,

First, thank you Chris for being responsive to review comments, and spinning a new version so quickly. 

This allows me to post the document shepherd review. I believe that inserting the write-up in the tracker, and proceeding to request publication befalls on the WG chairs/secretary:

	I hereby respectfully request that publication be requested for this document.

Respectfully,

Thomas

===

Document Shepherd Write-Up for draft-ietf-manet-ibs-03

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)? Why is this the proper type of RFC? Is this type of RFC indicated in the title page header?

     The intended status is “Proposed Standard”, 
     and this is indicated in the title page header.
(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:

Technical Summary:

     This document builds on RFC7182 and RFC6507, and
     provides a framework for using Identity-Based
     Signatures in MANET routing protocols.

Working Group Summary:

     The document was presented at the WG meeting at 
     IETF’90, and had reasonable discussion both before
     and after this meeting. There were significant 
     expression of support for adoption as WG document,
     a couple of reviews posted after adoption, which were
     addressed. On the author’s initiative, external
     verification of the example provided in Appendix A
     was sought from a crypto-expert.

     WGLC saw positive support for publication, with 
     nobody appearing to be “in the rough"

Document Quality:
Are there existing implementations of the protocol? Have a significant number of vendors indicated their plan to implement the specification? Are there any reviewers that merit special mention as having done a thorough review, e.g., one that resulted in important changes or a conclusion that the document had no substantive issues? If there was a MIB Doctor, Media Type or other expert review, what was its course (briefly)? In the case of a Media Type review, on what date was the request posted?

     There are existing implementations of this extension 
     mechanism, known to the document shepherd. 

     Dr. Benjamin Smith provided independent verification 
     of the example provided in Appendix A, and is 
     recognized for this in the acknowledgements.

     No media type, nor MIB doctor, review done, as this
     was not needed

Personnel:

Who is the Document Shepherd? Who is the Responsible Area Director?

     The document shepherd is:
          Thomas Clausen

     The responsible Area Director is:
          Adrian Farrell

(3) Briefly describe the review of this document that was performed by the Document Shepherd. If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.

     The document shepherd performed a total of five
     reviews of this document, during WG processing:

     1) Initially, prior to WG adoption

     2) Extensively, following WG adoption, providing         
        substantial comments

     3) Extensively, following the author addressed the 
        review comments from 2), to satisfaction

     4) Extensively, once WGLC was terminated, considering
        WGLC comments received, which resulted in a 
        document revision (-03) fixing nits, format 
        issues, and a reference issue.

     5) Finally, a review of the -03 version

     The document shepherd estimates, that the -03 version
     of the document is technically identical to the -02
     version which was WGLCed.

     The document shepherd believes, that the -03 version
     of the document is ready for being forwarded to the
     IESG.

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?

     The document shepherd is satisfied that sufficient
     reviews have been performed.

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.

     This document addresses security, within the 
     framework set forth in RFC7182, and uses RFC6507
     for the cryptographic functions. Both RFC7182 and
     RFC6507 has received extensive scrutiny from the 
     security community.

     As such, the document shepherd believes that the
     habitual SEC-DIR review for standards track documents
     is expected — but that no additional reviews are
     necessary, nor beneficial.

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.

     The document shepherd raised, in his review,
     (http://www.ietf.org/mail-archive/web/manet/current/msg16728.html)
     the question of if “Updates RFC7182” is appropriate.

     The document author and the document shepherd both
     are “on the balance” as to if it is, or is not

     Both parties, however, believe that either way is 
     tolerable, and agreed to seek advice from the 
     responsible AD on this particular matter
     (http://www.ietf.org/mail-archive/web/manet/current/msg16728.html)

     The argument for “is not appropriate” goes like this:

          What this document does is:
               (i)  only things permissible by RFC7182, and 
               (ii) makes registration from IANA registries 
                    set up by RFC7182
                    (noting, of course, that RFC7181 doesn’t 
                     “Updates 5444” when making registrations 
                     for TC messages from the repositories
                     set up by RFC5444 as a case of precedent)

     The argument for “is appropriate” is, that the 
     way this document interprets <key-id> might not 
     be as is described in RFC7182.

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?

     The author has confirmed to not be aware of any
     IPR that requires disclosure regarding this specific
     documents.

(8) Has an IPR disclosure been filed that references this document? If so, summarize any WG discussion and conclusion regarding the IPR disclosures.

     There have been no IPR disclosures filed that
     reference this document.

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?

     As described under Working Group Summary, the
     consensus behind this document appears quite solid.

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarise the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)

     There have been no threats of appeal raised, nor
     has any extreme discontent been indicated.

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.

     IDNITS raises only concerns on a DOWNREF, addressed
     in 15) below.

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, media type, and URI type reviews.

     Such reviews are not required for this document.

(13) Have all references within this document been identified as either normative or informative?

     Yes.
(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?

     No.

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.

     This document, intended for publication on std. 
     track, has a downref to RFC6507, which is published 
     as informational. 

     RFC6507 does not appear in the downrefergistry
     (http://trac.tools.ietf.org/group/iesg/trac/wiki/DownrefRegistry)
     and must thus be explicitly called out in the 
     IETF Last Call.

(16) Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary. 

     Advice from the responsible AD is sought on if 
     this document “Updates RFC7182”, or not, as 
     previously indicated. 

     If, on the responsible ADs advice, this document
     updates RFC7182, then this is called out in the
     appropriate places.

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all protocol extensions that the document makes are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that newly created IANA registries include a detailed specification of the initial contents for the registry, that allocations procedures for future registrations are defined, and a reasonable name for the new registry has been suggested (see RFC 5226).

     All protocol extensions that the document makes, are
     associated with the appropriate reservations

     Referenced IANA registries have been clearly 
     identified

     No new IANA registries are created

     The designated expert for the registry confirmed on
     14/09/03 that he finds the registrations
     requested in this document as aggreable:

     http://www.ietf.org/mail-archive/web/manet/current/msg16912.html

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.

     No new IANA registries are created.

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, etc. 

     No such checks required nor performed: no XML code, 
     BNF rules, MIB definitions, or other formal language 
     for which automatic checks exist, is included in this 
     document.

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Thu, 4 Sep 2014 15:42:53 +0000

Thomas,

I've put your shepherd's writeup into the data tracker for the draft, and have requested IESG publication. Thank you for volunteering to be the document shepherd on this.

Regards,
Stan

On Sep 4, 2014, at 10:14 AM, Thomas Clausen <[email-masked]<mailto:[email-masked]>> wrote:

Dear All,

Respectfully,

Thomas

===

Technical Summary:

Working Group Summary:

Document Quality:

Personnel:

     Yes.

     No.

---

From: Thomas Clausen <[email-masked]>
Date: Thu, 4 Sep 2014 17:44:14 +0200

Stan,

Thank you for advancing this. I shall keep on top of the document, authors, and ADs, and report back as things progress.

Thomas

On Sep 4, 2014, at 17:42, Stan Ratliff (sratliff) <[email-masked]> wrote:

> On Sep 4, 2014, at 10:14 AM, Thomas Clausen <[email-masked]> wrote:
> 
>> Dear All,
>>

---

From: Joseph Macker <[email-masked]>
Date: Thu, 4 Sep 2014 12:49:46 -0400

Ditto on thanks.
-Joe

On Thu, Sep 4, 2014 at 11:42 AM, Stan Ratliff (sratliff) <[email-masked]
> wrote:

>  Thomas,
>
>  I've put your shepherd's writeup into the data tracker for the draft,
> and have requested IESG publication. Thank you for volunteering to be the
> document shepherd on this.
>
>  Regards,
> Stan
>
>
>  This allows me to post the document shepherd review. I believe that
> inserting the write-up in the tracker, and proceeding to request
> publication befalls on the WG chairs/secretary:
>
>  *I hereby respectfully request that publication be requested for this
> document.*
>
>  Respectfully,
>
>  Thomas
>
>  ===
>
>  (1) What type of RFC is being requested (BCP, Proposed Standard,
> Internet Standard, Informational, Experimental, or Historic)? Why is this
> the proper type of RFC? Is this type of RFC indicated in the title page
> header?
>
> (2) The IESG approval announcement includes a Document Announcement
> Write-Up. Please provide such a Document Announcement Write-Up. Recent
> examples can be found in the "Action" announcements for approved documents.
> The approval announcement contains the following sections:
>
> Technical Summary:
> Are there existing implementations of the protocol? Have a significant
> number of vendors indicated their plan to implement the specification? Are
> there any reviewers that merit special mention as having done a thorough
> review, e.g., one that resulted in important changes or a conclusion that
> the document had no substantive issues? If there was a MIB Doctor, Media
> Type or other expert review, what was its course (briefly)? In the case of
> a Media Type review, on what date was the request posted?
>  (3) Briefly describe the review of this document that was performed by
> the Document Shepherd. If this version of the document is not ready for
> publication, please explain why the document is being forwarded to the IESG.
>
>  (4) Does the document Shepherd have any concerns about the depth or
> breadth of the reviews that have been performed?
>
>  (5) Do portions of the document need review from a particular or from
> broader perspective, e.g., security, operational complexity, AAA, DNS,
> DHCP, XML, or internationalization? If so, describe the review that took
> place.
>
>  (6) Describe any specific concerns or issues that the Document Shepherd
> has with this document that the Responsible Area Director and/or the IESG
> should be aware of? For example, perhaps he or she is uncomfortable with
> certain parts of the document, or has concerns whether there really is a
> need for it. In any event, if the WG has discussed those issues and has
> indicated that it still wishes to advance the document, detail those
> concerns here.
>
>  (7) Has each author confirmed that any and all appropriate IPR
> disclosures required for full conformance with the provisions of BCP 78 and
> BCP 79 have already been filed. If not, explain why?
>
>  (8) Has an IPR disclosure been filed that references this document? If
> so, summarize any WG discussion and conclusion regarding the IPR
> disclosures.
>  (9) How solid is the WG consensus behind this document? Does it
> represent the strong concurrence of a few individuals, with others being
> silent, or does the WG as a whole understand and agree with it?
>
>  (10) Has anyone threatened an appeal or otherwise indicated extreme
> discontent? If so, please summarise the areas of conflict in separate email
> messages to the Responsible Area Director. (It should be in a separate
> email because this questionnaire is publicly available.)
>
>  (11) Identify any ID nits the Document Shepherd has found in this
> document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts
> Checklist). Boilerplate checks are not enough; this check needs to be
> thorough.
>
>  (12) Describe how the document meets any required formal review
> criteria, such as the MIB Doctor, media type, and URI type reviews.
>
> (14) Are there normative references to documents that are not ready for
> advancement or are otherwise in an unclear state? If such normative
> references exist, what is the plan for their completion?
>      No.
>
>  (15) Are there downward normative references references (see RFC 3967)?
> If so, list these downward references to support the Area Director in the
> Last Call procedure.
>
>  (16) Will publication of this document change the status of any existing
> RFCs? Are those RFCs listed on the title page header, listed in the
> abstract, and discussed in the introduction? If the RFCs are not listed in
> the Abstract and Introduction, explain why, and point to the part of the
> document where the relationship of this document to the other RFCs is
> discussed. If this information is not in the document, explain why the WG
> considers it unnecessary.
>
>  (17) Describe the Document Shepherd's review of the IANA considerations
> section, especially with regard to its consistency with the body of the
> document. Confirm that all protocol extensions that the document makes are
> associated with the appropriate reservations in IANA registries. Confirm
> that any referenced IANA registries have been clearly identified. Confirm
> that newly created IANA registries include a detailed specification of the
> initial contents for the registry, that allocations procedures for future
> registrations are defined, and a reasonable name for the new registry has
> been suggested (see RFC 5226).
>
>  (18) List any new IANA registries that require Expert Review for future
> allocations. Provide any public guidance that the IESG would find useful in
> selecting the IANA Experts for these new registries.
>
>  (19) Describe reviews and automated checks performed by the Document
> Shepherd to validate sections of the document written in a formal language,
> such as XML code, BNF rules, MIB definitions, etc.
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>
>